# Uses of Class
org.apache.qpid.proton.amqp.messaging.ApplicationProperties

Packages that use ApplicationProperties
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.message
org.apache.qpid.proton.message.impl

## Uses of ApplicationProperties in org.apache.qpid.proton

Methods in org.apache.qpid.proton with parameters of type ApplicationProperties
Modifier and Type
Method
Description
`static Message`
Proton.`message(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`

## Uses of ApplicationProperties in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return ApplicationProperties
Modifier and Type
Method
Description
`ApplicationProperties`
ApplicationPropertiesType.`newInstance(Object described)`
`ApplicationProperties`
FastPathApplicationPropertiesType.`readValue()`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type ApplicationProperties
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<ApplicationProperties>>`
FastPathApplicationPropertiesType.`getAllEncodings()`
`TypeEncoding<ApplicationProperties>`
FastPathApplicationPropertiesType.`getCanonicalEncoding()`
`TypeEncoding<ApplicationProperties>`
FastPathApplicationPropertiesType.`getEncoding(ApplicationProperties val)`
`Class<ApplicationProperties>`
ApplicationPropertiesType.`getTypeClass()`
`Class<ApplicationProperties>`
FastPathApplicationPropertiesType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type ApplicationProperties
Modifier and Type
Method
Description
`TypeEncoding<ApplicationProperties>`
FastPathApplicationPropertiesType.`getEncoding(ApplicationProperties val)`
`protected Map`
ApplicationPropertiesType.`wrap(ApplicationProperties val)`
`void`
FastPathApplicationPropertiesType.`write(ApplicationProperties val)`

## Uses of ApplicationProperties in org.apache.qpid.proton.message

Methods in org.apache.qpid.proton.message that return ApplicationProperties
Modifier and Type
Method
Description
`ApplicationProperties`
Message.`getApplicationProperties()`
Methods in org.apache.qpid.proton.message with parameters of type ApplicationProperties
Modifier and Type
Method
Description
`static Message`
Message.Factory.`create(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
`void`
Message.`setApplicationProperties(ApplicationProperties applicationProperties)`

## Uses of ApplicationProperties in org.apache.qpid.proton.message.impl

Methods in org.apache.qpid.proton.message.impl that return ApplicationProperties
Modifier and Type
Method
Description
`ApplicationProperties`
MessageImpl.`getApplicationProperties()`
Methods in org.apache.qpid.proton.message.impl with parameters of type ApplicationProperties
Modifier and Type
Method
Description
`void`
MessageImpl.`setApplicationProperties(ApplicationProperties applicationProperties)`
Constructors in org.apache.qpid.proton.message.impl with parameters of type ApplicationProperties
Modifier
Constructor
Description
``
`MessageImpl(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
Application code should instead use `Message.Factory.create(Header, DeliveryAnnotations, MessageAnnotations, Properties, ApplicationProperties, Section, Footer)`